package com.pwt.web.service;

import com.pwt.web.domain.PwtHolderBatteryStateCache;
import org.apache.ibatis.annotations.MapKey;

import java.util.Map;

public interface IPwtHolderBatteryStateCacheService {

    public int updateBatteryStateCacheRecord(PwtHolderBatteryStateCache cache);

    @MapKey("holder_id")
    public Map<Integer, PwtHolderBatteryStateCache> getBatteryStateCacheMap();
}
